<html lang="en">
<head>
<title>Scalar literals - Sketch</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Sketch">
<meta name="generator" content="makeinfo 4.7">
<link title="Top" rel="start" href="index.html#Top">
<link rel="up" href="Literals.html#Literals" title="Literals">
<link rel="prev" href="Literals.html#Literals" title="Literals">
<link rel="next" href="Point-and-vector-literals.html#Point-and-vector-literals" title="Point and vector literals">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<!--
Copyright (C) 2005, 2006, 2007, 2008 Eugene K. Ressler.

This manual is for `sketch', version 0.2 (build 161),
Tuesday, September 08, 2009, a program that converts descriptions of simple
three-dimensional scenes into static drawings. This version generates
`PSTricks' or `PGF/TikZ' code suitable for use with the
TeX document processing system.

`Sketch' is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3, or (at your option)
any later version.

Sketch is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with `sketch'; see the file COPYING.txt.  If not, see
http://www.gnu.org/copyleft.-->
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc { font-variant:small-caps }
  span.roman { font-family: serif; font-weight: normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Scalar-literals"></a>Next:&nbsp;<a rel="next" accesskey="n" href="Point-and-vector-literals.html#Point-and-vector-literals">Point and vector literals</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="Literals.html#Literals">Literals</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="Literals.html#Literals">Literals</a>
<hr><br>
</div>

<!-- node-name,  next,  previous,  up -->
<h5 class="subsubsection">3.1.3.1 Scalar literals</h5>

<p><a name="index-scalar-literal-173"></a><a name="index-literal_002c-scalar-174"></a>Scalar literals are positive floating point numbers with syntax
according to C conventions.  The following are some examples.
<pre class="example">     0 1004 .001 8.3143 3. 1.60E-19 6.02e+23
</pre>
   <p class="noindent">Scalar literals may not contain embedded spaces.

   </body></html>

